Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneDivider.MouseHandler

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.plaf.basic.BasicSplitPaneDivider.MouseHandler

All Implemented Interfaces:
  EventListener, MouseListener, MouseMotionListener

Enclosing class:
  BasicSplitPaneDivider

protected class BasicSplitPaneDivider.MouseHandler
extends MouseAdapter
implements MouseMotionListener

MouseHandler is responsible for converting mouse events (released, dragged...) into the appropriate DragController methods.

Constructor Summary
`protected` | `BasicSplitPaneDivider.MouseHandler()`

Method Summary
`void` | `mouseDragged(MouseEvent e)` If dragger is not null it is messaged with continueDrag.
`void` | `mouseMoved(MouseEvent e)` Resets the cursor based on the orientation.
`void` | `mousePressed(MouseEvent e)` Starts the dragging session by creating the appropriate instance of DragController.
`void` | `mouseReleased(MouseEvent e)` If dragger is not null it is messaged with completeDrag.

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSplitPaneDivider.MouseHandler

    protected BasicSplitPaneDivider.MouseHandler()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Starts the dragging session by creating the appropriate instance of DragController.

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  If dragger is not null it is messaged with completeDrag.

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseAdapter`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  If dragger is not null it is messaged with continueDrag.

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Resets the cursor based on the orientation.

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.